Index: tests/Examples/PartialChargeFitting/testsuite-examples-partialchargefitting-h2o.at
===================================================================
--- tests/Examples/PartialChargeFitting/testsuite-examples-partialchargefitting-h2o.at	(revision 440ac3df4daed0535002cec4b3d8346f49b294a5)
+++ tests/Examples/PartialChargeFitting/testsuite-examples-partialchargefitting-h2o.at	(revision 4e0e0800481e967c74d2900820a66ef2065e5c71)
@@ -34,20 +34,24 @@
 ../../molecuilder_mpqc +v 5 ++signal 2 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &/
 worker_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
 
 # prepare session script
-AT_CHECK([sed -e "s#ABS_TOP_SRCDIR#${abs_top_srcdir}#" -e "s#CONTROLLERPORT#${CONTROLLERPORT}#" ${abs_top_srcdir}/tests/Examples/PartialChargeFitting/pre/session.py >session.py], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([sed -e "s#ABS_TOP_SRCDIR#${abs_top_srcdir}#" -e "s#CONTROLLERPORT#${CONTROLLERPORT}#" ${abs_top_srcdir}/tests/Examples/PartialChargeFitting/pre/session.py >session.py], 0, [stdout], [ignore], [kill $worker_pid $server_pid])
 
 # use molecuilder to add jobs, wait for their completion and obtain results
-AT_CHECK([../../molecuilder --load-session session.py], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([diff water.particles ${abs_top_srcdir}/tests/Examples/PartialChargeFitting/post/water.particles], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([../../molecuilder --load-session session.py], 0, [stdout], [ignore], [kill $worker_pid $server_pid])
 
-# removeall to remove workers, then shutdown for server itself
-AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+# send removeall to server such that all workers shutdown
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([kill -s 0 $worker_pid], 1, [ignore], [ignore], [kill $server_pid])
 
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
+# check results
+AT_CHECK([diff water.particles ${abs_top_srcdir}/tests/Examples/PartialChargeFitting/post/water.particles], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+
+# shutdown for server
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([kill -s 0 $server_pid], 1, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Examples/Simple/testsuite-examples-simple-h2o.at
===================================================================
--- tests/Examples/Simple/testsuite-examples-simple-h2o.at	(revision 440ac3df4daed0535002cec4b3d8346f49b294a5)
+++ tests/Examples/Simple/testsuite-examples-simple-h2o.at	(revision 4e0e0800481e967c74d2900820a66ef2065e5c71)
@@ -27,12 +27,12 @@
 
 # start service in background
-${AUTOTEST_PATH}/molecuilder_server --signal 2 --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+${AUTOTEST_PATH}/molecuilder_server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
 server_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid])
 
 # enlist a worker to work on jobs
-../../molecuilder_mpqc +v 5 ++signal 2 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
 worker_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
 
 # use molecuilder to add jobs, wait for their completion and obtain results
@@ -46,16 +46,18 @@
 	 --server-address 127.0.0.1 \
 	 --server-port $CONTROLLERPORT \
-	 --DoLongrange 0], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([fgrep "There are 1 fragments" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([fgrep "Energy: -75.6976" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([egrep 'Forces: .-4.64797e-16,1.53012e-17,0.0915748.; .-0.0764258,4.19204e-18,-0.0457874.; .0.0764258,-1.94932e-17,-0.0457874.' stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+	 --DoLongrange 0], 0, [stdout], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([fgrep "There are 1 fragments" stdout], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([fgrep "Energy: -75.6976" stdout], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([egrep 'Forces: .-4.64797e-16,1.53012e-17,0.0915748.; .-0.0764258,4.19204e-18,-0.0457874.; .0.0764258,-1.94932e-17,-0.0457874.' stdout], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
 
-# removeall to remove workers, then shutdown for server itself
-AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+# send removeall to server such that all workers shutdown
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([kill -s 0 $worker_pid], 1, [ignore], [ignore], [kill $server_pid])
 
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
+# shutdown for server
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([kill -s 0 $server_pid], 1, [ignore], [ignore])
 
 AT_CLEANUP
